package com.usai.apex;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ImageView;

public class HelpActivity extends Activity implements OnClickListener
{

	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_help);
		String caller=getIntent().getStringExtra("caller");
		ImageView iv= (ImageView) findViewById(R.id.iv_help);
		iv.setOnClickListener(this);
		if(caller.equals("fields"))
			iv.setImageResource(R.drawable.help_fields);
		else if(caller.equals("search"))
			iv.setImageResource(R.drawable.help_search);
		else if(caller.equals("result"))
			iv.setImageResource(R.drawable.help_result);
	}
	
	

	@Override
	public boolean onCreateOptionsMenu(Menu menu)
	{
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.help, menu);
		return true;
	}



	@Override
	public void onClick(View v)
	{
		finish();
		
	}

}
